Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » TPTP support for new Java 5 features?
TPTP support for new Java 5 features? [message #22417] Mon, 18 July 2005 10:24 Go to next message
Eclipse UserFriend
Originally posted by: galderz.lists.gmail.com

We are interested in using TPTP to profile our Java project. However, our
project relies on Java 5 features and therefore, we wonderered whether the
existing 3.3 release will be able to cope with that.

TPTP 3.3 relies on Eclipse 3.0.2, so we cannot load our source code in
that environment, but what about if we attach it to a remote process? Will
3.3 be able to cope with for example new loops and in general new features
of Java 5?

What about TPTP 4.0? According to the development plan, it supports
Eclipse 3.1, but it also says it relies on Java 1.4.2?

I would really appreciate if anyone could help us claryfing this issues.

Thanks :-D
Re: TPTP support for new Java 5 features? [message #22821 is a reply to message #22417] Tue, 19 July 2005 20:15 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: nmehrega.ca.ibm.com

This is a multipart message in MIME format.
--=_alternative 006F4F9685257043_=
Content-Type: text/plain; charset="US-ASCII"

Hi Galder,

TPTP doesn't formally support Java 5, but it most likely will work with
your Java 5 applications.
I would recommend using the most stable build for TPTP 4.0.

Navid Mehregani
IBM, Canada
--=_alternative 006F4F9685257043_=
Content-Type: text/html; charset="US-ASCII"


<br><font size=2 face="sans-serif">Hi Galder,</font>
<br>
<br><font size=2 face="sans-serif">TPTP doesn't formally support Java 5,
but it most likely will work with your Java 5 applications.</font>
<br><font size=2 face="sans-serif">I would recommend using the most stable
build for TPTP 4.0.</font>
<br>
<br><font size=2 face="sans-serif">Navid Mehregani</font>
<br><font size=2 face="sans-serif">IBM, Canada</font>
--=_alternative 006F4F9685257043_=--
Re: TPTP support for new Java 5 features? [message #30019 is a reply to message #22821] Sun, 04 September 2005 18:27 Go to previous message
calvin is currently offline calvinFriend
Messages: 3
Registered: July 2009
Junior Member
nmehrega@ca.ibm.com wrote:

> Hi Galder,

> TPTP doesn't formally support Java 5, but it most likely will work with
> your Java 5 applications.
> I would recommend using the most stable build for TPTP 4.0.

> Navid Mehregani
> IBM, Canada

Hi Navid

I don't understand how that works... I'm also wanting to profile an app
that uses java 5 features.

When I attempt to profile all I get this in the console:

java.lang.UnsupportedClassVersionError: MyAppName (Unsupported major.minor
version 49.0)
at ...

Do I have to choose a different JRE somewhere or change some setting? not
sure if it is possible.

Thanks in advance for any help.
Previous Topic:No data problem with TPTP 4.0, Eclipse 3.1
Next Topic:is databse connection possible?
Goto Forum:
  


Current Time: Sun Nov 23 11:28:06 GMT 2014

Powered by FUDForum. Page generated in 0.01681 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software